defs.h File Reference
General-purpose utility functions

General definitions that are meant to be included from header files. More...

Go to the source code of this file.

## Macros

#define | OSMO_GNUC_PREREQ(maj, min) 0
| Check for gcc and version. More...
#define | OSMO_DEPRECATED(text)
| Set the deprecated attribute with a message. More...
#define | OSMO_DEPRECATED_OUTSIDE_LIBOSMOCORE OSMO_DEPRECATED("For internal use inside libosmocore only.")
#define | OSMO_DEPRECATED_OUTSIDE(text) OSMO_DEPRECATED(text)

## Detailed Description

General definitions that are meant to be included from header files.